Skip to main content
GET
/
api
/
v1
/
ai
/
agents
/
{agentId}
/
history
Agent chat history
curl --request GET \
  --url https://mcp.echozero.app/api/v1/ai/agents/{agentId}/history \
  --header 'x-api-key: <api-key>'
"<unknown>"

Authorizations

x-api-key
string
header
required

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Path Parameters

agentId
string
required

Query Parameters

conversationId
string

Conversation id filter

limit
number
default:50
Required range: x >= 1
offset
number
default:0
Required range: x >= 0

Response

Conversation rows with messages.

The response is of type any.